fuzz_dhcps6(8)

NAME
fuzz_dhcps6

SYNOPSIS
fuzz_dhcps6 [-t number | -T number] [-e number | -T number] [-p number] [-md] [-1|-2|-3|-4|-5|-6|-7|-8] interface [domain-name]

OPTIONS
 -1         fuzz DHCPv6 Solicit (default)
 -2         fuzz DHCPv6 Request
 -3         fuzz DHCPv6 Confirm
 -4         fuzz DHCPv6 Renew
 -5         fuzz DHCPv6 Rebind
 -6         fuzz DHCPv6 Release
 -7         fuzz DHCPv6 Decline
 -8         fuzz DHCPv6 Information Request
 -m         fuzz the message type as well
 -t number  continue from test no. number
 -e number  continue to test no. number
 -T number  only performs test no. number
 -n number  how many times to send each packet (default: 1)
 -f         spoof mac
 -F         spoof link address
 -w sec     wait number of seconds between packets (default: 0)
 -p number  perform an alive check every number of tests (default: none)
 -d         Use -d to force DNS updates, you can specify a domain name on the commandline.
Fuzzes a DHCPv6 packets to a server
You can only define one of -0 ... -4 types, defaults to -1.
Returns -1 on error, 0 on tests done and targt alive or 1 on target crash.

AUTHOR
thc-ipv6 was written by van Hauser <vh@thc.org> / THC The homepage for this toolkit is: https://github.com/vanhauser-thc/thc-ipv6

COPYRIGHT
fuzz_dhcps6 v3.6 (c) 2019 by Brandon Hutcheson, Graeme Neilson and Ryan Ko www.github.com/vanhauser-thc/thc-ipv6